extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:superboy_layer1",
    "layer2": "knights:superboy_layer2",
});
var utils = implement("fiskheroes:external/utils");
function initAnimations(renderer) {

    parent.initAnimations(renderer);
    utils.addFlightAnimation(renderer, "mmcw.FLIGHT", "fiskheroes:flight/default_arms_forward.anim.json");
    utils.addHoverAnimation(renderer, "mmcw.HOVER", "fiskheroes:flight/idle/neutral");
    addAnimationWithData(renderer, "iron_man.LAND", "fiskheroes:superhero_landing", "fiskheroes:dyn/superhero_landing_timer")
        .priority = -8;

    addAnimationWithData(renderer, "iron_man.ROLL", "fiskheroes:flight/barrel_roll", "fiskheroes:barrel_roll_timer")
        .priority = 10;
}
function initEffects(renderer) {
    utils.bindTrail(renderer, "knights:blur");
}